org.codehaus.classworlds

## Class ClassWorldException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.classworlds.ClassWorldException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DuplicateRealmException, NoSuchRealmException

    public class ClassWorldException
    extends Exception

Base exception for `ClassWorld` errors.

Author:
  bob mcwhirter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClassWorldException(ClassWorld world)` Construct.
`ClassWorldException(ClassWorld world, String msg)` Construct.

### Method Summary

Methods
`ClassWorld` `getWorld()` Retrieve the world.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClassWorldException

    public ClassWorldException(ClassWorld world)

Construct.

Parameters:
  `world` - The world.

#### ClassWorldException

    public ClassWorldException(ClassWorld world,
                       String msg)

Construct.

Parameters:
  `world` - The world.
  `msg` - The detail message.

### Method Detail

#### getWorld

    public ClassWorld getWorld()

Retrieve the world.

Returns:
  The world.